<?php
		
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' ){
		}else{
			header('location:acceso_denegado.php');
		}
		


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgpro=$array_cadena_busqueda[1];
	$dscpro=$array_cadena_busqueda[2];
	//$numfactura=$array_cadena_busqueda[3];
	$combotipoplazo=$array_cadena_busqueda[4];
	$fechainicio=$array_cadena_busqueda[5];
	$dscpro=$array_cadena_busqueda[6];
} else {
	$cdgpro="";
	$dscpro="";
	//$numfactura="";
	$combotipoplazo="";
	//$vehpla="";
	$fechainicio="";
	$dscpro="";
}




       $rst ="SELECT feccal FROM cartera_cxp ";  ///// invoca los intereses 
       $result = $mysqli->query($rst);
       $row = $result->fetch_array();
        

			   //    cambio version   8.0.2
	   
	    if (empty($row["feccal"])) 
        {
 		$fechainicio="";
        }
        else
        {
        
		$feccal = $row["feccal"];
		$fechainicio= implode("-", array_reverse(explode("-", $feccal)));
		
		}
		

?>
<html>
	<head>
		<title>Cartera</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {	
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("fechainicio").focus();
			document.getElementById("form_busqueda").submit();
			
		}
		
	
	

	

		
	function Generar_Cartera() {

	
     if (confirm("Desea Generar la Cartera ? "))
		
	
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";

			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
			
	var fechainicio=document.getElementById("fechainicio").value;
	document.getElementById('bloquea').style.display='block';
	
	miPopup = window.open("Generar_Cartera_Proceso.php?fechainicio="+fechainicio,"frame_datos2","width=900,height=90,scrollbars=yes");
	miPopup.focus();
	
				
		}
			}
		

		
	function imprimir_Resumen() {
			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha de calculo\n";

			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
	
	var fechainicio=document.getElementById("fechainicio").value;
	var dscpro=document.getElementById("dscpro").value;
	var combotipoplazo=document.getElementById("combotipoplazo").value;
	var cdgpro=document.getElementById("cdgpro").value;
	
	window.open("Reporte_Cartera_CXP_Resumen.php?cdgpro="+cdgpro+"&fechainicio="+fechainicio+"&dscpro="+dscpro+"&combotipoplazo="+combotipoplazo);
}
		}
		
	
		function mostrar_grafico() {
			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha de calculo\n";

			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
	
 				document.forms.form_busqueda.action="../Graficos/Grafico_Cartera_CXP.php";
				document.getElementById("form_busqueda").submit();
		


		}}
		
			
	function imprimir_Detalle() {

			
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha de calculo\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {

			
	var fechainicio=document.getElementById("fechainicio").value;
	var dscpro=document.getElementById("dscpro").value;
	var combotipoplazo=document.getElementById("combotipoplazo").value;
	var cdgpro=document.getElementById("cdgpro").value;
	
	window.open("Reporte_Cartera_CXP_Detallado.php?cdgpro="+cdgpro+"&fechainicio="+fechainicio+"&dscpro="+dscpro+"&combotipoplazo="+combotipoplazo);
}
		}
			
		
		

		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
				
			var combotipoplazo=document.getElementById("combotipoplazo").value;
			var fechainicio=document.getElementById("fechainicio").value;
			var dscpro=document.getElementById("dscpro").value;
			var cdgpro=document.getElementById("cdgpro").value;
			var cadena="";
			cadena="~"+cdgpro+"~"+fechainicio+"~"+dscpro+"~"+combotipoplazo+"~";
			return cadena;
			}
		
		function limpiar() {

			document.forms.form_busqueda.action="../Proveedores/Rejilla_Cartera.php";
			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();
		
			
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=650,height=650,scrollbars=yes");
			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgpro="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


 
  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		

		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);

		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);


////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
//	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
//	document.getElementById("fechainicio").value="";
//	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	

	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		});



		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoReporte">
				<form id="form_busqueda" name="form_busqueda" method="post" action="Rejilla_Cartera.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						
       	
                        <tr>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td width="30%">&nbsp;</td>
                          <td colspan="3">&nbsp;</td>
                          <td width="16%" rowspan="3"><img src="../img/Procesar.png" width="48" title="Generar Cartera" height="48" border="0" onClick="Generar_Cartera()" onMouseOver="style.cursor=cursor"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()"  title="Limpiar" onMouseOver="style.cursor=cursor"><img width="48" onClick="mostrar_grafico()" height="55" title="Grafico" src="../img/pie_chart.ico"></td>
                          <td width="12%" rowspan="3"><p><a class="button" onClick="imprimir_Detalle() " > Detalle </a>
                        
                          </p>
                            <p>
                          <a class="button" onClick="imprimir_Resumen() " > Reporte </a>                          </p></td>
                      </tr>
                        <tr>	
						  <td width="1%">&nbsp;</td>
							<td width="8%">Cliente</td>
						  <td><div align="left" class="fuente8">
						    <input id="cdgpro" name="cdgpro" type="text" class="cajaPequena"  autocomplete="off" value="<?php echo $cdgpro?>" onFocus="siguienteCampo ='dscpro';"  onChange="buscar()">
					      </div></td>
						  <td width="2%">&nbsp;</td>
						  <td width="15%">Fecha Calculo</td>
						  <td width="16%"><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='dscpro';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $fechainicio?>" ></td>
					    </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Nombre</td>
						  <td><input id="dscpro" name="dscpro" type="text" class="cajaGrande"  autocomplete="off" value="<?php echo $dscpro?>"  onKeyPress="buscar()" onFocus="siguienteCampo ='cdgpro';"  onChange="buscar()"></td>
						  <td>&nbsp;</td>
						  <td>Vencimiento</td>
						  <td><select id="combotipoplazo" name="combotipoplazo" class="comboGrande"  onChange="buscar()" onFocus="siguienteCampo ='kmsveh';">
                            <option value="" selected>TODAS</option>
                            <?php
					  	$query_tipo_vencimiento="SELECT * FROM tipo_vencimiento";
                        $resultado = $mysqli->query($query_tipo_vencimiento) 

					  ?>
                            <?php
								while ($fila = $resultado->fetch_assoc()) { ?>
                            <option value="<?php echo  $fila["cdgtipvencimiento"]?>"><?php echo  $fila["dsctipvencimiento"]?></option>
                            <?php 
								} ?>
                          </select></td>
						</tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left"><input id="filas" type="hidden" class="cajaPequena" name="filas" maxlength="5"  readonly>                          </td>
                          <td width="48%">
                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>                            </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="9%"> CODIGO </td>
							<td width="51%">CLIENTE</td>							
							<td width="10%">AL DIA</td>
							<td width="17%">VENCIDO</td>
							<td width="13%">SALDO</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="405" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <table width="100%" border="0">
				      <tr>
				        <td width="43%" class="button">Totales</td>
				        <td width="7%">&nbsp;</td>
				        <td width="8%"><input size="9%" name="salpagtot" type="hidden"  id="salpagtot"  style='text-align:right; text-height:5pt;'  value="<?php echo number_format($totalfacturas,2,",",".");?>" readonly align="left">
			            <input size="9%"  name="intmortot" type="hidden"  id="intmortot"  style='text-align:right; text-height:5pt;'  value="<?php echo number_format($totalfacturas,2,",",".");?>" readonly align="left"></td>
				        <td width="13%"><input size="11%"  name="saldiatot" type="text"  id="saldiatot"  style='text-align:right; '  value="<?php echo number_format($totalfacturas,2,",",".");?>" readonly align="left"></td>
				        <td width="14%"><input size="11%"  name="salventot" type="text"  id="salventot"  style='text-align:right; text-height:5pt;'  value="<?php echo number_format($totalfacturas,2,",",".");?>" readonly align="left"></td>
				        <td width="14%" ><input size="11%"  name="salacttot" type="text"  id="salacttot"  style='text-align:right; text-height:5pt;'  value="<?php echo number_format($totalfacturas,2,",",".");?>" readonly align="left"></td>
			            <td width="1%">&nbsp;</td>
                      </tr>
			      </table>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
                    
                 <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
			  </form>
              
    
      
<div id="bloquea" class="cargando" style="display:none;">
<img style="margin-left: 5%;margin-top: 15%" alt="Espere..." src="../img/procesando.gif" />

</div>        
              
			 </div>
		  </div>
    </div>
		
	</body>
</html>
